# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "blockwatch"
version = "0.1.9"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Linter that tracks changes between dependent blocks of code"
homepage = "https://github.com/mennanov/blockwatch"
readme = "README.md"
license = "MIT"
repository = "https://github.com/mennanov/blockwatch"

[[bin]]
name = "blockwatch"
path = "src/main.rs"

[[test]]
name = "integration_main"
path = "tests/integration_main.rs"

[dependencies.anyhow]
version = "1.0.97"

[dependencies.diffy]
version = "0.4.2"

[dependencies.quick-xml]
version = "0.37.2"

[dependencies.tree-sitter]
version = "0.25.3"

[dependencies.tree-sitter-c]
version = "0.23"

[dependencies.tree-sitter-cpp]
version = "0.23"

[dependencies.tree-sitter-java]
version = "0.23.5"

[dependencies.tree-sitter-javascript]
version = "0.23"

[dependencies.tree-sitter-md]
version = "0.3.2"

[dependencies.tree-sitter-python]
version = "0.23"

[dependencies.tree-sitter-rust]
version = "0.24"

[dependencies.tree-sitter-toml-ng]
version = "0.7"

[dependencies.tree-sitter-typescript]
version = "0.23"

[dependencies.tree-sitter-xml]
version = "0.7"

[dependencies.tree-sitter-yaml]
version = "0.7"

[dev-dependencies.assert_cmd]
version = "2.0"

[dev-dependencies.predicates]
version = "3.1"

[build-dependencies.cc]
version = "1.2"

[profile.dist]
lto = "thin"
inherits = "release"
